Index: main/waeup.sirp/trunk/src/waeup/sirp/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/__init__.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/__init__.py	(revision 7321)
@@ -1,13 +1,13 @@
 import grok
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 from zope.annotation.attribute import AttributeAnnotations
 from zope.annotation.interfaces import IAnnotations
 
-class WAeUPAttributeAnnotations(AttributeAnnotations, grok.Adapter):
-    """An adapter to IAnnotations for any WAeUPObject.
+class SIRPAttributeAnnotations(AttributeAnnotations, grok.Adapter):
+    """An adapter to IAnnotations for any SIRPObject.
 
-    Providing this adapter, each WAeUP object becomes (attribute)
+    Providing this adapter, each SIRP object becomes (attribute)
     annotatable.
     """
     grok.provides(IAnnotations)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py	(revision 7321)
@@ -31,5 +31,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from random import SystemRandom as random
-from waeup.sirp.interfaces import IWAeUPSIRPPluggable, IObjectHistory
+from waeup.sirp.interfaces import ISIRPPluggable, IObjectHistory
 from waeup.sirp.accesscodes.interfaces import (
     IAccessCode, IAccessCodeBatch, IAccessCodeBatchContainer
@@ -398,5 +398,5 @@
 class AccessCodePlugin(grok.GlobalUtility):
     grok.name('accesscodes')
-    grok.implements(IWAeUPSIRPPluggable)
+    grok.implements(ISIRPPluggable)
 
     def setup(self, site, name, logger):
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7321)
@@ -22,9 +22,9 @@
 from hurry.workflow.interfaces import InvalidTransitionError
 from waeup.sirp.browser.resources import datatable
-from waeup.sirp.browser import WAeUPPage, WAeUPAddFormPage
+from waeup.sirp.browser import SIRPPage, SIRPAddFormPage
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
 from waeup.sirp.browser.viewlets import (
     AdminTask, AddActionButton, SearchActionButton, BatchOpButton, ManageLink)
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 
 from waeup.sirp.accesscodes.interfaces import (
@@ -33,7 +33,7 @@
 from waeup.sirp.accesscodes.catalog import search
 
-grok.context(IWAeUPObject)
-
-class BatchContainerPage(WAeUPPage):
+grok.context(ISIRPObject)
+
+class BatchContainerPage(SIRPPage):
     grok.name('index')
     grok.context(IAccessCodeBatchContainer)
@@ -61,5 +61,5 @@
             self.flash('Deleted batch %s' % name)
 
-class AddBatchPage(WAeUPAddFormPage):
+class AddBatchPage(SIRPAddFormPage):
     grok.name('add')
     grok.context(IAccessCodeBatchContainer)
@@ -89,5 +89,5 @@
         self.redirect(self.url(self.context))
 
-class ReimportBatchPage(WAeUPPage):
+class ReimportBatchPage(SIRPPage):
     """Screen for reimporting AC batches.
     """
@@ -123,5 +123,5 @@
         self.redirect(self.url(self.context))
 
-class BatchContainerSearchPage(WAeUPPage):
+class BatchContainerSearchPage(SIRPPage):
     grok.name('search')
     grok.context(IAccessCodeBatchContainer)
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7321)
@@ -20,7 +20,7 @@
 from zope import schema
 from zope.interface import Interface
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 
-class IAccessCode(IWAeUPObject):
+class IAccessCode(ISIRPObject):
     """An access code.
     """
@@ -91,5 +91,5 @@
         )
 
-class IAccessCodeBatchContainer(IWAeUPObject):
+class IAccessCodeBatchContainer(ISIRPObject):
     """A container for access code batches.
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py	(revision 7321)
@@ -29,5 +29,5 @@
 from zope.testing import renormalizing
 from waeup.sirp.app import University
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPSIRPPluggable
+from waeup.sirp.interfaces import IObjectHistory, ISIRPPluggable
 from waeup.sirp.testing import (
     FunctionalLayer, FunctionalTestCase, setUp, tearDown, getRootFolder)
@@ -412,6 +412,6 @@
     def test_iface(self):
         plugin = AccessCodePlugin()
-        assert verifyObject(IWAeUPSIRPPluggable, plugin)
-        assert verifyClass(IWAeUPSIRPPluggable, AccessCodePlugin)
+        assert verifyObject(ISIRPPluggable, plugin)
+        assert verifyClass(ISIRPPluggable, AccessCodePlugin)
 
     def test_update_w_ac_container(self):
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 7321)
@@ -24,6 +24,6 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.sirp.accesscodes.interfaces import IAccessCode
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPWorkflowInfo
-from waeup.sirp.workflow import WAeUPWorkflow, WAeUPWorkflowInfo
+from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo
+from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -104,5 +104,5 @@
     )
 
-accesscode_workflow = WAeUPWorkflow(ACCESSCODE_TRANSITIONS)
+accesscode_workflow = SIRPWorkflow(ACCESSCODE_TRANSITIONS)
 
 class AccessCodeWorkflowState(WorkflowState, grok.Adapter):
@@ -113,7 +113,7 @@
     state_id = 'wf.accesscode.id'
 
-class AccessCodeWorkflowInfo(WAeUPWorkflowInfo, grok.Adapter):
+class AccessCodeWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
     grok.context(IAccessCode)
-    grok.provides(IWAeUPWorkflowInfo)
+    grok.provides(ISIRPWorkflowInfo)
 
     def __init__(self, context):
Index: main/waeup.sirp/trunk/src/waeup/sirp/app.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/app.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/app.py	(revision 7321)
@@ -26,5 +26,5 @@
 from waeup.sirp.hostels.container import HostelsContainer
 from waeup.sirp.interfaces import (
-    IUniversity, IWAeUPSIRPPluggable, IObjectUpgradeEvent, )
+    IUniversity, ISIRPPluggable, IObjectUpgradeEvent, )
 from waeup.sirp.userscontainer import UsersContainer
 from waeup.sirp.utils.logger import Logger
@@ -64,5 +64,5 @@
         """Create instances of all plugins defined somewhere.
         """
-        for name, plugin in getUtilitiesFor(IWAeUPSIRPPluggable):
+        for name, plugin in getUtilitiesFor(ISIRPPluggable):
             plugin.setup(self, name, self.logger)
         return
@@ -76,5 +76,5 @@
         self.logger.info('Done.')
         self.logger.info('Now upgrading any plugins.')
-        for name, plugin in getUtilitiesFor(IWAeUPSIRPPluggable):
+        for name, plugin in getUtilitiesFor(ISIRPPluggable):
             plugin.update(self, name, self.logger)
         self.logger.info('Plugin update finished.')
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/applicant.py	(revision 7321)
@@ -24,5 +24,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from waeup.sirp.app import University
-from waeup.sirp.image import WAeUPImageFile
+from waeup.sirp.image import SIRPImageFile
 from waeup.sirp.imagestorage import DefaultFileStoreHandler
 from waeup.sirp.interfaces import (
@@ -220,5 +220,5 @@
             ApplicantImageStoreHandler, self).createFile(
             store, root,  filename, file_id, file)
-        return file, path, WAeUPImageFile(
+        return file, path, SIRPImageFile(
             file_obj.filename, file_obj.data)
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7321)
@@ -34,5 +34,5 @@
 from reportlab.platypus.tables import TableStyle
 from waeup.sirp.browser import (
-    WAeUPPage, WAeUPEditFormPage, WAeUPAddFormPage, WAeUPDisplayFormPage)
+    SIRPPage, SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage)
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
 from waeup.sirp.browser.layout import NullValidator
@@ -41,5 +41,5 @@
 from waeup.sirp.browser.viewlets import ManageActionButton, PrimaryNavTab
 from waeup.sirp.interfaces import (
-    IWAeUPObject, ILocalRolesAssignable, IExtFileStore,
+    ISIRPObject, ILocalRolesAssignable, IExtFileStore,
     IFileStoreNameChooser, IPasswordValidator, IUserAccount)
 from waeup.sirp.permissions import get_users_with_local_roles
@@ -60,7 +60,7 @@
 from waeup.sirp.students.interfaces import IStudentsUtils
 
-grok.context(IWAeUPObject) # Make IWAeUPObject the default context
-
-class ApplicantsRootPage(WAeUPPage):
+grok.context(ISIRPObject) # Make ISIRPObject the default context
+
+class ApplicantsRootPage(SIRPPage):
     grok.context(IApplicantsRoot)
     grok.name('index')
@@ -81,5 +81,5 @@
     text = 'Manage application section'
 
-class ApplicantsRootManageFormPage(WAeUPEditFormPage):
+class ApplicantsRootManageFormPage(SIRPEditFormPage):
     grok.context(IApplicantsRoot)
     grok.name('manage')
@@ -151,5 +151,5 @@
         return del_local_roles(self,2,**data)
 
-class ApplicantsContainerAddFormPage(WAeUPAddFormPage):
+class ApplicantsContainerAddFormPage(SIRPAddFormPage):
     grok.context(IApplicantsRoot)
     grok.require('waeup.manageApplication')
@@ -229,5 +229,5 @@
     """Applicants tab in primary navigation.
     """
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.order(3)
     grok.require('waeup.viewApplicantsTab')
@@ -273,5 +273,5 @@
         return self.view.application_url() + rel_link
 
-class ApplicantsContainerPage(WAeUPDisplayFormPage):
+class ApplicantsContainerPage(SIRPDisplayFormPage):
     """The standard view for regular applicant containers.
     """
@@ -311,5 +311,5 @@
 #    target = 'login'
 
-class ApplicantsContainerManageFormPage(WAeUPEditFormPage):
+class ApplicantsContainerManageFormPage(SIRPEditFormPage):
     grok.context(IApplicantsContainer)
     grok.name('manage')
@@ -404,5 +404,5 @@
         return del_local_roles(self,3,**data)
 
-class ApplicantAddFormPage(WAeUPAddFormPage):
+class ApplicantAddFormPage(SIRPAddFormPage):
     """Add-form to add an applicant.
     """
@@ -431,5 +431,5 @@
         return
 
-class ApplicantDisplayFormPage(WAeUPDisplayFormPage):
+class ApplicantDisplayFormPage(SIRPDisplayFormPage):
     grok.context(IApplicant)
     grok.name('index')
@@ -532,5 +532,5 @@
 
 
-class OnlinePaymentDisplayFormPage(WAeUPDisplayFormPage):
+class OnlinePaymentDisplayFormPage(SIRPDisplayFormPage):
     """ Page to view an online payment ticket
     """
@@ -700,5 +700,5 @@
         pdf.setAuthor('%s (%s)' % (self.request.principal.title,
             self.request.principal.id))
-        pdf.setCreator('WAeUP SIRP')
+        pdf.setCreator('SIRP SIRP')
         width, height = A4
         style = getSampleStyleSheet()
@@ -802,5 +802,5 @@
     return True
 
-class ApplicantManageFormPage(WAeUPEditFormPage):
+class ApplicantManageFormPage(SIRPEditFormPage):
     """A full edit view for applicant data.
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 7321)
@@ -30,5 +30,5 @@
 from waeup.sirp.schema import TextLineChoice
 from waeup.sirp.interfaces import (
-    IWAeUPObject, year_range, validate_email, academic_sessions_vocab)
+    ISIRPObject, year_range, validate_email, academic_sessions_vocab)
 from waeup.sirp.university.vocabularies import application_categories
 from waeup.sirp.students.vocabularies import (
@@ -118,10 +118,10 @@
             factory.container_title, factory.container_description)
 
-class IApplicantsRoot(IWAeUPObject, IContainer):
+class IApplicantsRoot(ISIRPObject, IContainer):
     """A container for university applicants containers.
     """
     pass
 
-class IApplicantsContainer(IWAeUPObject):
+class IApplicantsContainer(ISIRPObject):
     """An applicants container contains university applicants.
 
@@ -275,5 +275,5 @@
     'provider'].order =  IApplicantsContainer['provider'].order
 
-class IApplicantBaseData(IWAeUPObject):
+class IApplicantBaseData(ISIRPObject):
     """The data for an applicant.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/root.py	(revision 7321)
@@ -23,5 +23,5 @@
 from hurry.query.interfaces import IQuery
 from zope.component import getUtility
-from waeup.sirp.interfaces import IWAeUPSIRPPluggable
+from waeup.sirp.interfaces import ISIRPPluggable
 from waeup.sirp.applicants.interfaces import IApplicantsRoot
 from waeup.sirp.utils.helpers import get_current_principal
@@ -49,5 +49,5 @@
 
 class ApplicantsPlugin(grok.GlobalUtility):
-    """A WAeUPSIRPPlugin that creates an applicants root in portal.
+    """A SIRPPlugin that creates an applicants root in portal.
 
     This plugin should be called by a typical
@@ -56,8 +56,8 @@
     the main site configuration.
 
-    Implements :class:`waeup.sirp.interfaces.IWAeUPSIRPPluggable`
+    Implements :class:`waeup.sirp.interfaces.ISIRPPluggable`
     """
     grok.name('applicants')
-    grok.implements(IWAeUPSIRPPluggable)
+    grok.implements(ISIRPPluggable)
     log_prefix = 'ApplicantsPlugin'
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_applicant.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_applicant.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/tests/test_applicant.py	(revision 7321)
@@ -26,5 +26,5 @@
 from zope.interface import verify, implements
 from zope.location.interfaces import ILocation
-from waeup.sirp.image.interfaces import IWAeUPImageFile
+from waeup.sirp.image.interfaces import ISIRPImageFile
 from waeup.sirp.imagestorage import DefaultStorage
 from waeup.sirp.interfaces import IFileStoreHandler, IFileStoreNameChooser
@@ -38,5 +38,5 @@
 class FakeImageLocation(object):
     implements(ILocation)
-    adapts(IWAeUPImageFile)
+    adapts(ISIRPImageFile)
     def __init__(self, context):
         pass
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/vocabularies.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/vocabularies.py	(revision 7321)
@@ -20,5 +20,5 @@
 from zope.component import getUtility
 from zope.catalog.interfaces import ICatalog
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 from waeup.sirp.students.vocabularies import CertificateSource
 
@@ -37,9 +37,9 @@
     )
 
-#: A :class:`waeup.sirp.interfaces.SimpleWAeUPVocabulary` of supported
+#: A :class:`waeup.sirp.interfaces.SimpleSIRPVocabulary` of supported
 #: application or screening types.
-application_types_vocab = SimpleWAeUPVocabulary(
+application_types_vocab = SimpleSIRPVocabulary(
     *[(x[0],x[1]) for x in APPLICATION_TYPES])
-application_pins_vocab = SimpleWAeUPVocabulary(
+application_pins_vocab = SimpleSIRPVocabulary(
     *[(u"%s (%s)" % (x[2],x[0]),x[2]) for x in APPLICATION_TYPES])
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/workflow.py	(revision 7321)
@@ -22,6 +22,6 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.sirp.applicants.interfaces import IApplicantBaseData
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPWorkflowInfo
-from waeup.sirp.workflow import WAeUPWorkflow, WAeUPWorkflowInfo
+from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo
+from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
 from waeup.sirp.utils.helpers import get_current_principal
 
@@ -127,5 +127,5 @@
     )
 
-application_workflow = WAeUPWorkflow(APPLICATION_TRANSITIONS)
+application_workflow = SIRPWorkflow(APPLICATION_TRANSITIONS)
 
 class ApplicationWorkflowState(WorkflowState, grok.Adapter):
@@ -138,9 +138,9 @@
     state_id = 'wf.application.id'
 
-class ApplicationWorkflowInfo(WAeUPWorkflowInfo, grok.Adapter):
+class ApplicationWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
     """Adapter to adapt Applicant objects to workflow info objects.
     """
     grok.context(IApplicantBaseData)
-    grok.provides(IWAeUPWorkflowInfo)
+    grok.provides(ISIRPWorkflowInfo)
 
     def __init__(self, context):
Index: main/waeup.sirp/trunk/src/waeup/sirp/authentication.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/authentication.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/authentication.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Authentication for WAeUP portals.
+"""Authentication for SIRP.
 """
 import grok
@@ -63,5 +63,5 @@
     return principalRoleManager
 
-class WAeUPSessionCredentialsPlugin(grok.GlobalUtility,
+class SIRPSessionCredentialsPlugin(grok.GlobalUtility,
                                     SessionCredentialsPlugin):
     grok.provides(ICredentialsPlugin)
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/__init__.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/__init__.py	(revision 7321)
@@ -2,6 +2,6 @@
 
 from waeup.sirp.browser.layout import (
-    WAeUPPage, WAeUPForm, WAeUPLayout, WAeUPDisplayFormPage, WAeUPEditFormPage,
-    WAeUPAddFormPage, NullValidator)
+    SIRPPage, SIRPForm, SIRPLayout, SIRPDisplayFormPage, SIRPEditFormPage,
+    SIRPAddFormPage, NullValidator)
 from waeup.sirp.browser.pages import ContactAdminForm
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/breadcrumbs.py	(revision 7321)
@@ -33,5 +33,5 @@
     """
     grok.provides(IBreadcrumb)
-    grok.context(interfaces.IWAeUPObject)
+    grok.context(interfaces.ISIRPObject)
     grok.name('index')
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/exceptions.py	(revision 7321)
@@ -22,5 +22,5 @@
 from zope.publisher.interfaces import INotFound
 from zope.security.interfaces import IUnauthorized
-from waeup.sirp.browser.layout import WAeUPPage
+from waeup.sirp.browser.layout import SIRPPage
 
 grok.templatedir('templates')
@@ -61,5 +61,5 @@
 
 
-class NotFoundPage(WAeUPPage):
+class NotFoundPage(SIRPPage):
     """A page rendered when an object cannot be found.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/interfaces.py	(revision 7321)
@@ -21,5 +21,5 @@
 from zope.interface import Interface, Attribute
 from waeup.sirp.interfaces import (
-    IWAeUPObject, IUniversity, IUsersContainer, IDataCenter)
+    ISIRPObject, IUniversity, IUsersContainer, IDataCenter)
 from waeup.sirp.university.interfaces import (
     IFacultyContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 7321)
@@ -29,7 +29,7 @@
 from zope.interface import Interface
 from zope.site.hooks import getSite
-from waeup.sirp.interfaces import IWAeUPObject, IUserAccount
+from waeup.sirp.interfaces import ISIRPObject, IUserAccount
 from waeup.sirp.browser.interfaces import ITheme
-from waeup.sirp.browser.theming import get_all_themes, WAeUPThemeGray1
+from waeup.sirp.browser.theming import get_all_themes, SIRPThemeGray1
 from waeup.sirp.students.interfaces import IStudentNavigation
 from waeup.sirp.applicants.interfaces import IApplicant
@@ -101,10 +101,10 @@
         return True
 
-class WAeUPLayout(Layout, UtilityView):
+class SIRPLayout(Layout, UtilityView):
     """A megrok.layout.Layout with additional methods.
     """
     grok.baseclass()
 
-class WAeUPForm(Form, UtilityView):
+class SIRPForm(Form, UtilityView):
     """A megrok.layout.Form with additional methods.
     """
@@ -112,5 +112,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(WAeUPForm,self).setUpWidgets(ignore_request)
+        super(SIRPForm,self).setUpWidgets(ignore_request)
         if self.widgets.get('subject'):
             self.widgets['subject'].displayWidth = 45
@@ -120,10 +120,10 @@
             self.widgets['body'].width = 35
 
-class WAeUPPage(Page):
+class SIRPPage(Page):
     """A megrok.layout page with additional methods.
     """
     grok.baseclass()
 
-class WAeUPDisplayFormPage(DisplayForm, UtilityView):
+class SIRPDisplayFormPage(DisplayForm, UtilityView):
     """A megrok.layout.DisplayForm with additional methods.
     """
@@ -131,5 +131,5 @@
     template = default_waeup_display_template
 
-class WAeUPEditFormPage(EditForm, UtilityView):
+class SIRPEditFormPage(EditForm, UtilityView):
     """A megrok.layout.EditForm with additional methods.
     """
@@ -138,5 +138,5 @@
 
     def setUpWidgets(self,ignore_request=False):
-        super(WAeUPEditFormPage,self).setUpWidgets(ignore_request)
+        super(SIRPEditFormPage,self).setUpWidgets(ignore_request)
         if self.widgets.get('title'):
             self.widgets['title'].displayWidth = 80
@@ -148,5 +148,5 @@
             self.widgets['notice'].height = 3
 
-class WAeUPAddFormPage(AddForm,  UtilityView):
+class SIRPAddFormPage(AddForm,  UtilityView):
     """A megrok.layout.AddForm with additional methods.
     """
@@ -154,11 +154,11 @@
     template = default_waeup_edit_template
 
-class SiteLayout(WAeUPLayout):
+class SiteLayout(SIRPLayout):
     """ The general site layout.
     """
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
 
     #: An instance of the default theme to use for the site layout
-    default_theme = WAeUPThemeGray1()
+    default_theme = SIRPThemeGray1()
     stafftemp = grok.PageTemplateFile('templates/staffsitelayout.pt')
     studenttemp = grok.PageTemplateFile('templates/studentsitelayout.pt')
